Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Class XMLAttributeDecl

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.XMLAttributeDecl

public class XMLAttributeDecl
extends java.lang.Object

Version:
  $Id: XMLAttributeDecl.java,v 1.8 2001/05/11 15:20:40 neilg Exp $

Field Summary
`DatatypeValidator` | `datatypeValidator`
`static int` | `DEFAULT_TYPE_DEFAULT`
`static int` | `DEFAULT_TYPE_FIXED`
`static int` | `DEFAULT_TYPE_IMPLIED`
`static int` | `DEFAULT_TYPE_PROHIBITED`
`static int` | `DEFAULT_TYPE_REQUIRED`
`static int` | `DEFAULT_TYPE_REQUIRED_AND_FIXED`
`int` | `defaultType`
`java.lang.String` | `defaultValue`
`int` | `enumeration`
`boolean` | `list`
`QName` | `name`
`static int` | `PROCESSCONTENTS_LAX`
`static int` | `PROCESSCONTENTS_SKIP`
`static int` | `PROCESSCONTENTS_STRICT`
`int` | `type`
`static int` | `TYPE_ANY_ANY`
`static int` | `TYPE_ANY_LIST`
`static int` | `TYPE_ANY_OTHER`
`static int` | `TYPE_CDATA`
`static int` | `TYPE_ENTITY`
`static int` | `TYPE_ENUMERATION`
`static int` | `TYPE_ID`
`static int` | `TYPE_IDREF`
`static int` | `TYPE_NMTOKEN`
`static int` | `TYPE_NOTATION`
`static int` | `TYPE_SIMPLE`
`static int` | `USE_TYPE_OPTIONAL`
`static int` | `USE_TYPE_PROHIBITED`
`static int` | `USE_TYPE_REQUIRED`
`static int` | `VALUE_CONSTRAINT_DEFAULT`
`static int` | `VALUE_CONSTRAINT_FIXED`

Constructor Summary
`XMLAttributeDecl()`
`XMLAttributeDecl(XMLAttributeDecl attributeDecl)`

Method Summary
`void` | `clear()`
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`
`void` | `setValues(XMLAttributeDecl attributeDecl)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_CDATA

    public static final int TYPE_CDATA

### TYPE_ENTITY

    public static final int TYPE_ENTITY

### TYPE_ENUMERATION

    public static final int TYPE_ENUMERATION

### TYPE_ID

    public static final int TYPE_ID

### TYPE_IDREF

    public static final int TYPE_IDREF

### TYPE_NMTOKEN

    public static final int TYPE_NMTOKEN

### TYPE_NOTATION

    public static final int TYPE_NOTATION

### TYPE_SIMPLE

    public static final int TYPE_SIMPLE

### TYPE_ANY_ANY

    public static final int TYPE_ANY_ANY

### TYPE_ANY_OTHER

    public static final int TYPE_ANY_OTHER

### TYPE_ANY_LIST

    public static final int TYPE_ANY_LIST

### DEFAULT_TYPE_IMPLIED

    public static final int DEFAULT_TYPE_IMPLIED

### DEFAULT_TYPE_REQUIRED

    public static final int DEFAULT_TYPE_REQUIRED

### DEFAULT_TYPE_PROHIBITED

    public static final int DEFAULT_TYPE_PROHIBITED

### DEFAULT_TYPE_DEFAULT

    public static final int DEFAULT_TYPE_DEFAULT

### DEFAULT_TYPE_FIXED

    public static final int DEFAULT_TYPE_FIXED

### DEFAULT_TYPE_REQUIRED_AND_FIXED

    public static final int DEFAULT_TYPE_REQUIRED_AND_FIXED

### USE_TYPE_OPTIONAL

    public static final int USE_TYPE_OPTIONAL

### USE_TYPE_REQUIRED

    public static final int USE_TYPE_REQUIRED

### USE_TYPE_PROHIBITED

    public static final int USE_TYPE_PROHIBITED

### VALUE_CONSTRAINT_DEFAULT

    public static final int VALUE_CONSTRAINT_DEFAULT

### VALUE_CONSTRAINT_FIXED

    public static final int VALUE_CONSTRAINT_FIXED

### PROCESSCONTENTS_STRICT

    public static final int PROCESSCONTENTS_STRICT

### PROCESSCONTENTS_LAX

    public static final int PROCESSCONTENTS_LAX

### PROCESSCONTENTS_SKIP

    public static final int PROCESSCONTENTS_SKIP

### name

    public QName name

### datatypeValidator

    public DatatypeValidator datatypeValidator

### type

    public int type

### list

    public boolean list

### enumeration

    public int enumeration

### defaultType

    public int defaultType

### defaultValue

    public java.lang.String defaultValue

Constructor Detail

### XMLAttributeDecl

    public XMLAttributeDecl()

### XMLAttributeDecl

    public XMLAttributeDecl(XMLAttributeDecl attributeDecl)

Method Detail

### clear

    public void clear()

### setValues

    public void setValues(XMLAttributeDecl attributeDecl)

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.